Evaluate Complexity
curl --request POST \
--url https://api.example.com/api/v1/ideations/{ideation_id}/evaluate \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/ideations/{ideation_id}/evaluate"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/ideations/{ideation_id}/evaluate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assignee_id": "<string>",
"board_id": "<string>",
"complexity": "small",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"id": "<string>",
"labels": [
"<string>"
],
"problem_statement": "<string>",
"proposed_approach": "<string>",
"scope_assessment": {},
"status": "draft",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 123,
"architecture_designs": [],
"archived": false,
"knowledge_bases": [],
"pre_archive_status": "<string>",
"qa_items": [],
"refinements": [],
"screen_mockups": [
{
"id": "<string>",
"title": "<string>",
"annotations": [
{
"id": "<string>",
"text": "<string>",
"author_id": "<string>"
}
],
"description": "<string>",
"html_content": "",
"order": 0,
"screen_type": "page"
}
],
"specs": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}ideations
Evaluate Complexity
Evaluate ideation complexity. Accepts scores + justifications in body.
POST
/
api
/
v1
/
ideations
/
{ideation_id}
/
evaluate
Evaluate Complexity
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Schema for full ideation response.
Ideation complexity level — determines whether refinements are needed.
Available options:
small, medium, large Ideation lifecycle status.
Available options:
draft, review, approved, evaluating, done, cancelled Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on May 17, 2026